from __future__ import annotations

from clarabot_nano.common.config.extract.base import AbstractExtractedConfig


class TikaExtractedConfig(AbstractExtractedConfig):
    def __init__(self, config):
        self.tika_port = config["state"].get("tika_port")

    def _matches(self, other: TikaExtractedConfig) -> bool:
        return self.tika_port == other.tika_port
